import { ElementRef } from '@angular/core';
import { EventsService } from '.././../../services/events.service';
import BaseSection from '../../../sections/BaseSection';
import { RestService } from '../../../services/rest.service';
import { Router } from '@angular/router';
import { Collection } from '../../styles/Collection.modal';
import { BackgroundModel, LayOutModel } from '../../../styles/style.model';
import { NewCollectionContentModal, NewCollectionModal, NewCollectionStyleModal } from './new-collection.modal';
import * as i0 from "@angular/core";
export declare class NewCollectionComponent extends BaseSection {
    private readonly router;
    private readonly restService;
    private readonly _eventService;
    categoryParent: ElementRef<HTMLElement>;
    data?: NewCollectionModal;
    responseData?: Collection[];
    index?: number;
    edit?: boolean;
    delete?: boolean;
    customClass?: string;
    nextComponentColor?: BackgroundModel;
    isLoading: boolean;
    content?: NewCollectionContentModal;
    styles?: NewCollectionStyleModal;
    constructor(router: Router, restService: RestService, _eventService: EventsService);
    ngOnInit(): void;
    getSliceParameters(): number[];
    getCollectionsIds(): void;
    dropCollection(startIdx: number, endIdx: number): void;
    redirectToListPage(collection: any): void;
    get stylesLayout(): LayOutModel;
    get getDirection(): "ROW" | "COLUMN" | undefined;
    get isMobile(): boolean;
    editSection(): void;
    getColor(color: any): "#000000" | "#ffffff";
    getJustifyContent(): "" | import("simpo-component-library").ALIGN | "flex-start";
    static ɵfac: i0.ɵɵFactoryDeclaration<NewCollectionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NewCollectionComponent, "simpo-new-collection", never, { "data": { "alias": "data"; "required": false; }; "responseData": { "alias": "responseData"; "required": false; }; "index": { "alias": "index"; "required": false; }; "edit": { "alias": "edit"; "required": false; }; "delete": { "alias": "delete"; "required": false; }; "customClass": { "alias": "customClass"; "required": false; }; "nextComponentColor": { "alias": "nextComponentColor"; "required": false; }; }, {}, never, never, true, never>;
}
